// PWBAddOnExample.cpp : Defines the exported functions for the DLL application.
//

#include "stdafx.h"
#include "PWBAddOnExample.h"

// Called when PWB first starts
// hWindow is the PWB window handle
PWBADDON_API BOOL PWBAddonStart(LONGLONG hWindow)
{
	// save window handle if we need to pass a message
	g_dwHandle = (HWND)hWindow;

	// PWB is starting, do something if needed

	// Not currently implemented, should return TRUE
	return TRUE;
}

// Called just before PWB exits
PWBADDON_API BOOL PWBAddonEnd()
{
	// PWB is ending, do something if needed

	// Not currently implemented, should return TRUE
	return TRUE;
}

// Example of PWB Filter Addon Function
// Does not need to be present in normal PWB addon.
// pszURL is a long pointer to the URL address the HTML renderer is presenting PWB with
PWBADDON_API HRESULT PWBFilterFunction(LPCTSTR pszURL)
{
	// return S_OK (0) if URL is allowed
	// return S_FALSE (1) if URL is disallowed
	// return PWB_CONTINUE (2) to continue to use PWB filter
	// return PWB_IGNORE (4) to disallow URL with no message

	return PWB_CONTINUE;
}
